SimBcPlotContoursBuilder Class

class NXOpen.CAE.SimBcPlotContoursBuilder

Bases: NXOpen.Builder

Represents a NXOpen.CAE.SimBcPlotContoursBuilder builder which can be used to generate a plot of a NXOpen.CAE.SimBC in the graphics area.

This is limited to NXOpen.CAE.SimBC objects in the active solution. NXOpen.CAE.SimBcPlotContoursBuilder.CreatePlotObject() returns a plot object NXOpen.CAE.NxBcPlotContours whose NXOpen.CAE.NxBcPlotContours.PlotContour() plots contour. To create a new instance of this class, use NXOpen.CAE.SimSimulation.CreateSimBcPlotContoursBuilder()

New in version NX8.5.0.

Properties

Property Description
PropertyIndexToPlot Returns or sets the property index of NXOpen.CAE.SimBC to plot.
PropertyNameToPlot Returns or sets the property name of NXOpen.CAE.SimBC to plot.
ResolveOverlap Returns or sets a NXOpen.CAE.SimBcPlotContoursBuilderResolveOverlapType used in plot to resolve overlapping values
ResolveOverlapValue Returns or sets a overlap value to plot.
ResolveOverlapValueUnit Returns or sets a NXOpen.Unit for overlap value to plot.
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CreatePlotObject Returns NXOpen.CAE.NxBcPlotContours object
CreateResult Returns NXOpen.CAE.Result object.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetAvailableBcsToPlot Returns all available NXOpen.CAE.SimBC to plot
GetAvailablePropertyNamesAndIndicesToPlot Returns all available property names and indices that can be plotted for the specified NXOpen.CAE.SimBC
GetAvailablePropertyNamesToPlot Returns all available property names that can be plotted for the specified NXOpen.CAE.SimBC
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
GetPlotType Returns plot type
SetAnimationPoints Sets animation points
SetBcsToPlot Sets NXOpen.CAE.SimBC objects to plot.
SetEvaluationPoints Sets evaluation point
SetPlotType Sets plot type
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

PropertyIndexToPlot

SimBcPlotContoursBuilder.PropertyIndexToPlot

Returns or sets the property index of NXOpen.CAE.SimBC to plot.

-------------------------------------

Getter Method

Signature PropertyIndexToPlot

Returns:
Return type:int

New in version NX8.5.0.

Deprecated since version NX9.0.0: There is no replacement for this method.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

Setter Method

Signature PropertyIndexToPlot

Parameters:propertyIndex (int) –

New in version NX8.5.0.

Deprecated since version NX9.0.0: Use NXOpen.CAE.SimBcPlotContoursBuilder.SetPropertyNameToPlot() instead.

License requirements: nx_masterfem (“Finite Element Modeling”)

PropertyNameToPlot

SimBcPlotContoursBuilder.PropertyNameToPlot

Returns or sets the property name of NXOpen.CAE.SimBC to plot.

This name must come from the available property names returned by NXOpen.CAE.SimBcPlotContoursBuilder.GetAvailablePropertyNamesToPlot().

-------------------------------------

Getter Method

Signature PropertyNameToPlot

Returns:
Return type:str

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

Setter Method

Signature PropertyNameToPlot

Parameters:pPropertyName (str) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

ResolveOverlap

SimBcPlotContoursBuilder.ResolveOverlap

Returns or sets a NXOpen.CAE.SimBcPlotContoursBuilderResolveOverlapType used in plot to resolve overlapping values

-------------------------------------

Getter Method

Signature ResolveOverlap

Returns:
Return type:NXOpen.CAE.SimBcPlotContoursBuilderResolveOverlapType

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

Setter Method

Signature ResolveOverlap

Parameters:resolveOverlapType (NXOpen.CAE.SimBcPlotContoursBuilderResolveOverlapType) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

ResolveOverlapValue

SimBcPlotContoursBuilder.ResolveOverlapValue

Returns or sets a overlap value to plot.

This is used when NXOpen.CAE.SimBcPlotContoursBuilder.ResolveOverlap`() is set to NXOpen.CAE.SimBcPlotContoursBuilderResolveOverlapType.Specify

-------------------------------------

Getter Method

Signature ResolveOverlapValue

Returns:
Return type:float

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

Setter Method

Signature ResolveOverlapValue

Parameters:resolveOverlapValue (float) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

ResolveOverlapValueUnit

SimBcPlotContoursBuilder.ResolveOverlapValueUnit

Returns or sets a NXOpen.Unit for overlap value to plot.

This is used when NXOpen.CAE.SimBcPlotContoursBuilder.ResolveOverlap`() is set to NXOpen.CAE.SimBcPlotContoursBuilderResolveOverlapType.Specify

-------------------------------------

Getter Method

Signature ResolveOverlapValueUnit

Returns:
Return type:NXOpen.Unit

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

Setter Method

Signature ResolveOverlapValueUnit

Parameters:resolveOverlapValueUnit (NXOpen.Unit) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

Method Detail

CreatePlotObject

SimBcPlotContoursBuilder.CreatePlotObject

Returns NXOpen.CAE.NxBcPlotContours object

Signature CreatePlotObject()

Returns:
Return type:NXOpen.CAE.NxBcPlotContours

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateResult

SimBcPlotContoursBuilder.CreateResult

Returns NXOpen.CAE.Result object.

For time varying result, to get static result at a particular time specify that time using NXOpen.CAE.SimBcPlotContoursBuilder.SetEvaluationPoints() and to get transient result for each iteration of time specify the range of time using NXOpen.CAE.SimBcPlotContoursBuilder.SetAnimationPoints().

Signature CreateResult()

Returns:
Return type:NXOpen.CAE.Result

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

GetAvailableBcsToPlot

SimBcPlotContoursBuilder.GetAvailableBcsToPlot

Returns all available NXOpen.CAE.SimBC to plot

Signature GetAvailableBcsToPlot()

Returns:
Return type:list of NXOpen.CAE.SimBC

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

GetAvailablePropertyNamesAndIndicesToPlot

SimBcPlotContoursBuilder.GetAvailablePropertyNamesAndIndicesToPlot

Returns all available property names and indices that can be plotted for the specified NXOpen.CAE.SimBC

Signature GetAvailablePropertyNamesAndIndicesToPlot(tBc)

Parameters:tBc (NXOpen.CAE.SimBC) –
Returns:a tuple
Return type:A tuple consisting of (pPropIndices, pPropNames)

pPropIndices is a list of int. pPropNames is a list of str. .. versionadded:: NX8.5.0

Deprecated since version NX9.0.0: There is no replacement for this method.

License requirements: nx_masterfem (“Finite Element Modeling”)

GetAvailablePropertyNamesToPlot

SimBcPlotContoursBuilder.GetAvailablePropertyNamesToPlot

Returns all available property names that can be plotted for the specified NXOpen.CAE.SimBC

Signature GetAvailablePropertyNamesToPlot(tBc)

Parameters:tBc (NXOpen.CAE.SimBC) –
Returns:
Return type:list of str

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

GetPlotType

SimBcPlotContoursBuilder.GetPlotType

Returns plot type

Signature GetPlotType()

Returns:
Return type:NXOpen.CAE.SimBcPlotContoursBuilderPlotType

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

SetAnimationPoints

SimBcPlotContoursBuilder.SetAnimationPoints

Sets animation points

Signature SetAnimationPoints(startValue, startUnit, endValue, endUnit, numFrames)

Parameters:
  • startValue (float) –
  • startUnit (NXOpen.Unit) –
  • endValue (float) –
  • endUnit (NXOpen.Unit) –
  • numFrames (int) –

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

SetBcsToPlot

SimBcPlotContoursBuilder.SetBcsToPlot

Overloaded method SetBcsToPlot

  • SetBcsToPlot(bcs)
  • SetBcsToPlot(bcs, propertyNames)

-------------------------------------

Sets NXOpen.CAE.SimBC objects to plot.

Signature SetBcsToPlot(bcs)

Parameters:bcs (list of NXOpen.CAE.SimBC) –

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

Sets NXOpen.CAE.SimBC objects and property names to plot .

Signature SetBcsToPlot(bcs, propertyNames)

Parameters:

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

SetEvaluationPoints

SimBcPlotContoursBuilder.SetEvaluationPoints

Sets evaluation point

Signature SetEvaluationPoints(values, units)

Parameters:
  • values (list of float) –
  • units (list of NXOpen.Unit) –

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

SetPlotType

SimBcPlotContoursBuilder.SetPlotType

Sets plot type

Signature SetPlotType(plotType)

Parameters:plotType (NXOpen.CAE.SimBcPlotContoursBuilderPlotType) –

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

Validate

SimBcPlotContoursBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.